%global tar_version 4.2.8

Name: python-ovirt-engine-sdk4
Summary: Python SDK for version 4 of the oVirt Engine API
Version: 4.2.8
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://ovirt.org/wiki/SDK
Source: ovirt-engine-sdk-python-%{tar_version}.tar.gz

BuildRequires: gcc
BuildRequires: libxml2-devel
BuildRequires: python-setuptools
BuildRequires: python2-devel

Requires: libxml2
Requires: python
Requires: python-enum34
Requires: python-pycurl
Requires: python-six

%description
This package contains the Python SDK for version 4 of the oVirt Engine
API.

%prep
%setup -q -n ovirt-engine-sdk-python-%{tar_version}

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.adoc
%doc examples
%license LICENSE.txt
%{python2_sitearch}/*

%changelog
* Tue Aug 14 2018 Ondra Machacek <omachace@redhat.com> - 4.2.8-1
- Update to upstream 4.2.8.
- Update to model 4.2.36.

* Wed Jun 6 2018 Ondra Machacek <omachace@redhat.com> - 4.2.7-1
- Update to model 4.2.33.
- Add search parameter to providers rhbz#1572071.

* Tue Apr 17 2018 Ondra Machacek <omachace@redhat.com> - 4.2.6-2
- Add examples.

* Tue Apr 17 2018 Ondra Machacek <omachace@redhat.com> - 4.2.6-2
- Add examples.

* Tue Apr 17 2018 Ondra Machacek <omachace@redhat.com> - 4.2.6-1
- Update to upstream 4.2.6.
- Update to model 4.2.32.

* Tue Apr 10 2018 Ondra Machacek <omachace@redhat.com> - 4.2.5-1
- Update to upstream 4.2.5.
- Update to model 4.2.31.
- Add reason message to failed request.

* Wed Jan 24 2018 Ondra Machacek <omachace@redhat.com> - 4.2.4-1
- Change pycrul E_OPERATION_TIMEDOUT to E_OPERATION_TIMEOUTED.

* Wed Jan 17 2018 Ondra Machacek <omachace@redhat.com> - 4.2.3-1
- Update to upstream 4.2.3.
- Update to model 4.2.28.
- Update to metamodel 1.2.16.

* Mon Dec 4 2017 Ondra Machacek <omachace@redhat.com> - 4.2.2-1
- Update to upstream 4.2.2.
- Update to model 4.2.26.
- Add support for method extensions.
- No exceptions when 'raise_exception=False'.

* Tue Oct 31 2017 Ondra Machacek <omachace@redhat.com> - 4.2.1-1.a3
- Update to upstream 4.2.1a3.
- Update to model 4.2.23.
- Add hiearchy of exceptions
  https://bugzilla.redhat.com/1467969[#1467969]

* Wed Sep 27 2017 Ondra Machacek <omachace@redhat.com> - 4.2.1-1.a2
- Update to upstream 4.2.1a2.
- Update to model 4.2.19.

* Sat Jun 10 2017 Ondra Machacek <omachace@redhat.com> - 4.2.0-1.a2
- Update to upstream 4.2.0a2.
- Update to model 4.2.6.

* Fri Mar 03 2017 Ondra Machacek <omachace@redhat.com> - 4.1.2-1
- Read correctly attributes with enum values.
- Don't avoid reserved words in enum values text.

* Thu Mar 02 2017 Ondra Machacek <omachace@redhat.com> - 4.1.1-1
- Update to model 4.1.31 and metamodel 1.1.12:
- Add `auto_storage_select` attribute to the `VmPool` type.
- Add IPv6 details to the `NicConfiguration` type.
- Add NFS 4.2 support.
- Add new `lease` attribute to virtual machines and templates.
- Add `execution_host` link to the `Step` type.
- Add `initial_size` attribute to the `Disk` type.
- Add `succeeded` parameter to the operation that end an external job.
- Add support for custom headers and query parameters.
- Support strings as parameters to the `Reader.read` method.
- Move `vnic_profile_mappings` and `reassign_bad_macs` from
  the `import` operation to the `register` operation
  https://bugzilla.redhat.com/1425731[#1425731].
- Ignore unsupported Enum values.
- Merge link with element if it has same name.

* Tue Jan 31 2017 Ondra Machacek <omachace@redhat.com> - 4.1.0-1
- Update to model 4.1.29 and metamodel 1.1.10.
- Improved examples and documentation.
- Add new lease attribute to virtual machines and templates.
- Add execution_host link to the Step type.
- Add initial_size attribute to the Disk type.
- Add succeeded parameter to the operation that end an external job.

* Tue Jan 03 2017 Ondra Machacek <omachace@redhat.com> - 4.1.0-0.1.a1
- Fix writing 'id' attribute for enum values
- Raise SDK error for unknown tags
- Update to model 4.1.24 and metamodel 1.1.9
- Check return code of the HTTP reponses

* Tue Sep 27 2016 Ondra Machacek <omachace@redhat.com> 4.0.2-1
- Update to upstream 4.0.2.
- Update to model 4.0.35 and metmodel 1.0.20.
- Add the `sparsify` method to `DiskService`.
- Add the `discardMaxSize` and `discardZeroesData` to the `LogicalUnit` type.
- Add services to support disk attachments of virtual machines available
  for import from storage domains.
- Fix the type of the `ticket` parameter of the `VmService.ticket` method.
- Fix the type of the `authentication_method` attribute of the `Ssh` type.
- Rename the `AuthenticationMethod` enum type to `SshAuthenticationMethod`.
- Fix the name of the `exclusive` parameter o the `TemplateService.export`
  method.
- Add the missing `cluster` parameter to the `OpenstackImageService.import`
  method.
- Empty list is not written to XML.
- Fix generating of singular and plural tag names.

* Tue Sep 06 2016 Ondra Machacek <omachace@redhat.com> 4.0.1-1
- Update to upstream 4.0.1.
- Update to model 4.0.33.
- Add the `custom_scheduling_policy_properties` attribute to the `Cluster`
  type.
- Add services and types to support transfer of images.
- Remove the `add` and `remove` operations of virtual machine CDROMs.
- Fix the type of the `usages` attribute of the `Network` type, it
  should be a list of values of the `NetworkUsage` enum, not a list
  of strings.
- Fix reading of lists of elements #1373431.
- Accept `action` and `fault` from actions.
- Fix reading of list of primitive and enum types.
- Avoid of reading fault response in case response body is empty.

* Mon Aug 29 2016 Ondra Machacek <omachace@redhat.com> 4.0.0-1
- Catch Unicode encode and decode exceptions

* Mon Aug 22 2016 Juan Hernandez <juan.hernandez@redhat.com> 4.0.0-0.6.a6
- Update to upstream 4.0.6.a6.
- Use POST method to send SSO credentials #1368385.
- Name element tag by the entity which is written.
- Name plural element tag same as member.
- Send query parameters for add/update methods.
- Update to model 4.0.32.
- Add the `clone_permissions` parameter to the operations that add virtual
  machines and templates.
- Add the `clone` parameter to the operation that adds a new virtual
  machine.
- Add the `ad_partner_mac` attribute to the bonding type.
- Add the `ad_aggregator_id` attribute to the host NIC type.
- Add the `upgradecheck` action to the host service.
- Add the `ExternalVmImportsService` and related types.
- Use correct writer for services actions.
- Use Python logging.
- Add option to not revoke token when closing connection.
- Add support to pass SSO token to SDK connection.
- Support /v4 suffix in API URL.

* Tue Jul 19 2016 Ondra Machacek <omachace@redhat.com> - 4.0.0-0.5.a5
- Update to upstream 4.0.5.a5.
- Update to model 4.0.28.
- Added `switch_type` attribute to `Host` type.
- Add `permits` to the cluster level type.
- Add the `current` parameter to the virtual machine graphics consoles service.
- Fix the name of the output parameter of the method to list affinity
  groups, should be `groups` instead of `list`.

* Fri Jun 24 2016 Ondra Machacek <omachace@redhat.com> - 4.0.0-0.1
- Fixed missing python-six and python-enum34 dependency rhbz#1349774

* Mon Mar 28 2016 Juan Hernandez <juan.hernandez@redhat.com> - 4.0.0
- Initial packaging.
